## org.apache.ivy.core.event.resolve
Class ResolveEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.resolve.ResolveEvent

Direct Known Subclasses:
  EndResolveEvent, StartResolveEvent

    public class ResolveEvent

extends IvyEvent

Constructor Summary
`protected` `ResolveEvent(java.lang.String name, ModuleDescriptor md, java.lang.String[] confs)`

Method Summary
`ModuleDescriptor` `getModuleDescriptor()`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResolveEvent

    protected ResolveEvent(java.lang.String name,
                           ModuleDescriptor md,
                           java.lang.String[] confs)

Method Detail

### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()